%define realname libnet
Name: %{realname}1
Version: 1.0.2a
Release: ipl3mdk

Summary: A C library for portable packet creation
Group: System/Libraries
License: BSD-like
Url: http://www.packetfactory.net/%realname
Packager: Dmitry V. Levin <ldv@altlinux.org>

Source: %url/dist/%realname-%version.tar.bz2
Patch1: %realname-1.0.2-shared.patch
Patch2: %realname-1.0.1b-test.patch

Provides: %realname = %version-%release
Obsoletes: %realname

%package devel
Summary: Development Libnet library, header files, documentation and examples
Group: Development/C
Provides: %realname-devel = %version-%release
Obsoletes: %realname-devel
Conflicts: %{realname}2-devel
Requires: %name = %version-%release

%package devel-static
Summary: Static Libnet library
Group: Development/C
Provides: %realname-devel-static = %version-%release
Obsoletes: %realname-devel-static
Conflicts: %{realname}2-devel-static
Requires: %name-devel = %version-%release

%description
Libnet is an API to help with the construction and handling of network
packets.  It provides a portable framework for low-level network
packet writing and handling (use Libnet in conjunction with libpcap and
you can write some really cool stuff).  Libnet includes packet creation
at the IP layer and at the link layer as well as a host of supplementary
and complementary functionality. Libnet is avery handy with which to
write network tools and network test code.  See the manpage and sample
test code for more detailed information.

%description devel
Libnet is an API to help with the construction and handling of network
packets.  It provides a portable framework for low-level network
packet writing and handling (use Libnet in conjunction with libpcap and
you can write some really cool stuff).  Libnet includes packet creation
at the IP layer and at the link layer as well as a host of supplementary
and complementary functionality. Libnet is avery handy with which to
write network tools and network test code.  See the manpage and sample
test code for more detailed information.

This package contains the static Libnet library, it's header files,
documentation and examples needed to develop Libnet-based applications.

%description devel-static
Libnet is an API to help with the construction and handling of network
packets.  It provides a portable framework for low-level network
packet writing and handling (use Libnet in conjunction with libpcap and
you can write some really cool stuff).  Libnet includes packet creation
at the IP layer and at the link layer as well as a host of supplementary
and complementary functionality. Libnet is avery handy with which to
write network tools and network test code.  See the manpage and sample
test code for more detailed information.

This package contains the static Libnet library required to develop
statically linked Libnet-based applications.

%prep
%setup -q -n Libnet-%version
%patch1 -p1
%patch2 -p1

find -type d -name CVS -print0 |
	xargs -r0 rm -rf --
find -type f \( -name .cvsignore -o -name .#\* \) -print0 |
	xargs -r0 rm -rf --

%build
export ac_cv_lib_pcap_pcap_open_live=no
export ac_cv_lib_net_libnet_build_ip=no
export ac_libnet_have_pf_packet=yes
%configure

# First build shared,
%make_build %realname.so.%version CFLAGS="$RPM_OPT_FLAGS %optflags_shared -I$RPM_BUILD_DIR/Libnet-%version/include"

# then static,
make clean
%make_build CFLAGS="$RPM_OPT_FLAGS -I$RPM_BUILD_DIR/Libnet-%version/include"

# and test.
ADD_CFLAGS="$(./%realname-config --defines)"
make -C test CFLAGS="$RPM_OPT_FLAGS -I$RPM_BUILD_DIR/Libnet-%version/include $ADD_CFLAGS"
make -C test clean

%install
%make_install install DESTDIR=$RPM_BUILD_ROOT MAN_PREFIX=%_man3dir
cp -dp *.so* $RPM_BUILD_ROOT%_libdir/
%__ln_s libnet.so $RPM_BUILD_ROOT%_libdir/libpwrite.so

%__rm -f doc/%realname.3

ADD_CFLAGS="$(./%realname-config --defines)"
ADD_LIBS="$(./%realname-config --libs)"

mkdir extra
cp -a test example extra
pushd extra
	find -type f -name Makefile.in -print0 |
		xargs -r0 rm -f --
	find -type f -name Makefile -print0 |
		xargs -r0 perl -pi -e '
s/^(DEFINES\s*\+=\s*).*/$1'"$ADD_CFLAGS"'/;
s/^(LIBS\s*=\s*).*/$1'"$ADD_LIBS"'/
'
popd

%define _customdocdir %_docdir/%realname-%version

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*

%files devel
%_bindir/*
%_libdir/*.so
%_includedir/*
%_mandir/man?/*
%doc doc/{README,CHANGELOG,COPYING,TODO}* extra/*

%files devel-static
%_libdir/*.a

%changelog
* Sun Nov 24 2002 Dmitry V. Levin <ldv@altlinux.org> 1.0.2a-ipl3mdk
- Renamed to libnet1.
- Really build with packet socket support.

* Mon Apr 15 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.0.2a-ipl2mdk
- Moved static libraries to devel-static subpackage.

* Thu Feb 08 2001 Dmitry V. Levin <ldv@fandra.org> 1.0.2a-ipl1mdk
- 1.0.2a

* Mon Feb 05 2001 Dmitry V. Levin <ldv@fandra.org> 1.0.2-ipl1mdk
- 1.0.2

* Sat Sep 02 2000 Dmitry V. Levin <ldv@fandra.org> 1.0.1b-ipl1mdk
- 1.0.1b
- Build and package shared library too.

* Fri Mar 24 2000 Dmitry V. Levin <ldv@fandra.org>
- 1.0.1

* Wed Mar 15 2000 Dmitry V. Levin <ldv@fandra.org>
- removed Makefile.in from examples
- updated to rpm-3.0.4

* Thu Nov 11 1999 Dmitry V. Levin <ldv@fandra.org>
- 1.0

* Tue Sep 16 1999 Dmitry V. Levin <ldv@fandra.org>
- initial revision
